Summary: Secure Sockets Layer communications libs & utils
Name: SSLeay
Version: 0.8.1
Release: 1
Source0: ftp://ftp.psy.uq.oz.au/pub/Crypto/SSL/SSLeay-0.8.1.tar.gz
Source1: ftp://ftp.psy.uq.oz.au/pub/Crypto/SSL/ssleay-doc-0.tgz
Source2: ftp://ftp.psy.uq.oz.au/pub/Crypto/SSL/SSLeay.doc-1.5.tar.gz
Patch: SSLeay-0.8.1.patch
Copyright: Freely distributable
Group: Libraries
Provides: SSL
#can't use prefix because of the /etc/profile.d/ files.
#Prefix: /usr/local/ssl
URL: http://www.replay.com/redhat/
Icon: ssleay.gif
%description
A C library that provides various cryptographic algorithms and protocols,
including DES, RC4, RSA, and SSL.  Includes shared libraries and utils.
The SSLeay Crypto FAQ is at: http://www.psy.uq.oz.au/~ftp/Crypto
Goto the webpage indicated by this rpm's URL for access to some
crypto-enabled applications for redhat linux.

%package devel
Summary: Secure Sockets Layer communications static libs & headers & utils
Group: Development/Libraries
Requires: SSLeay
%description devel
A C library that provides various cryptographic algorithms and protocols,
including DES, RC4, RSA, and SSL.   Includes Static libraries and headers for
development. Patches for many networking apps can be found at:
ftp://ftp.psy.uq.oz.au/pub/Crypto/SSLapps/

%prep
%setup -T -b 0
%patch -p1
%setup -T -D -n SSLeay-0.8.1/doc/html -c -a 1
%setup -T -D -n SSLeay-0.8.1/doc/ref -c -a 2
#change the named directory back to what it should be
%setup -T -D -n SSLeay-0.8.1

%build 
perl util/perlpath.pl /usr/bin
make -f Makefile.ssl links
./Configure linux-elf
make clean
make depend

#make the shared libraries
sh shlib/linux.sh

#now we can make the other stuff, and they will be linked to the 
#shared libraries
make
make rehash

%install 
make install

major="0"
minor="8.1"
prefix=/usr/local/ssl
libdir=$prefix/lib

strip $prefix/bin/ssleay

install --strip -m755 libssl.so $libdir
install libssl.so.$major.$minor $libdir
install libssl.so.$major $libdir

install --strip -m755 libcrypto.so $libdir
install libcrypto.so.$major.$minor $libdir
install libcrypto.so.$major $libdir

install -m755 ssl.csh /etc/profile.d
install -m755 ssl.sh /etc/profile.d

#RSAglue is for inside the US
install -m644 libRSAglue.a $libdir
install -m644 rsaref/rsaref.h $prefix/include

%files 
/usr/local/ssl/private
/usr/local/ssl/certs
/usr/local/ssl/bin/CA.sh
/usr/local/ssl/bin/asn1parse
/usr/local/ssl/bin/base64
/usr/local/ssl/bin/bf
/usr/local/ssl/bin/bf-cbc
/usr/local/ssl/bin/bf-cfb
/usr/local/ssl/bin/bf-ecb
/usr/local/ssl/bin/bf-ofb
/usr/local/ssl/bin/c_hash
/usr/local/ssl/bin/c_info
/usr/local/ssl/bin/c_issuer
/usr/local/ssl/bin/c_name
/usr/local/ssl/bin/c_rehash
/usr/local/ssl/bin/ca
/usr/local/ssl/bin/ciphers
/usr/local/ssl/bin/crl
/usr/local/ssl/bin/crl2pkcs7
/usr/local/ssl/bin/der_chop
/usr/local/ssl/bin/des
/usr/local/ssl/bin/des-cbc
/usr/local/ssl/bin/des-cfb
/usr/local/ssl/bin/des-ecb
/usr/local/ssl/bin/des-ede
/usr/local/ssl/bin/des-ede-cbc
/usr/local/ssl/bin/des-ede-cfb
/usr/local/ssl/bin/des-ede-ofb
/usr/local/ssl/bin/des-ede3
/usr/local/ssl/bin/des-ede3-cbc
/usr/local/ssl/bin/des-ede3-cfb
/usr/local/ssl/bin/des-ede3-ofb
/usr/local/ssl/bin/des-ofb
/usr/local/ssl/bin/des3
/usr/local/ssl/bin/desx
/usr/local/ssl/bin/dgst
/usr/local/ssl/bin/dh
/usr/local/ssl/bin/dsa
/usr/local/ssl/bin/dsaparam
/usr/local/ssl/bin/enc
/usr/local/ssl/bin/errstr
/usr/local/ssl/bin/gendh
/usr/local/ssl/bin/gendsa
/usr/local/ssl/bin/genrsa
/usr/local/ssl/bin/idea
/usr/local/ssl/bin/idea-cbc
/usr/local/ssl/bin/idea-cfb
/usr/local/ssl/bin/idea-ecb
/usr/local/ssl/bin/idea-ofb
/usr/local/ssl/bin/md2
/usr/local/ssl/bin/md5
/usr/local/ssl/bin/mdc2
/usr/local/ssl/bin/pkcs7
/usr/local/ssl/bin/rc2
/usr/local/ssl/bin/rc2-cbc
/usr/local/ssl/bin/rc2-cfb
/usr/local/ssl/bin/rc2-ecb
/usr/local/ssl/bin/rc2-ofb
/usr/local/ssl/bin/rc4
/usr/local/ssl/bin/req
/usr/local/ssl/bin/rsa
/usr/local/ssl/bin/s_client
/usr/local/ssl/bin/s_server
/usr/local/ssl/bin/s_time
/usr/local/ssl/bin/sess_id
/usr/local/ssl/bin/sha
/usr/local/ssl/bin/sha1
/usr/local/ssl/bin/speed
/usr/local/ssl/bin/ssleay
/usr/local/ssl/bin/verify
/usr/local/ssl/bin/version
/usr/local/ssl/bin/x509
/usr/local/ssl/lib/libcrypto.so
/usr/local/ssl/lib/libcrypto.so.0
/usr/local/ssl/lib/libcrypto.so.0.8.1
/usr/local/ssl/lib/libssl.so
/usr/local/ssl/lib/libssl.so.0
/usr/local/ssl/lib/libssl.so.0.8.1
%config /usr/local/ssl/lib/ssleay.cnf 
%config /etc/profile.d/ssl.csh 
%config /etc/profile.d/ssl.sh
%doc -P COPYRIGHT PROBLEMS README ./doc/API.doc ./doc/a_verify.doc ./doc/apps.doc ./doc/ca.1 ./doc/legal.doc ./doc/ms3-ca.doc ./doc/ns-ca.doc ./doc/readme ./doc/ref.doc ./doc/req.1 ./doc/s_mult.doc ./doc/ssl-ciph.doc 

%files devel
%doc -P COPYRIGHT HISTORY HISTORY.066 INSTALL PROBLEMS README README.066 README.080 TODO VERSION 
%doc -P doc/API.doc doc/asn1.doc doc/bio.doc doc/blowfish.doc doc/bn.doc doc/callback.doc doc/cipher.doc doc/cipher.m doc/conf.doc doc/danger doc/des.doc doc/digest.doc doc/encode.doc doc/envelope.doc doc/error.doc doc/idea.doc doc/lhash.doc doc/md2.doc doc/md5.doc doc/memory.doc doc/obj.doc doc/rand.doc doc/rc2.doc doc/rc4.doc doc/rsa.doc doc/rsaref.doc doc/session.doc doc/sha.doc doc/speed.doc doc/ssl.doc doc/ssl_ctx.doc doc/ssleay.doc doc/ssluse.doc doc/stack.doc doc/threads.doc doc/txt_db.doc doc/verify doc/why.doc 
%doc -P doc/html/API-hardware.html doc/html/Building.html doc/html/current-history.html doc/html/index.html doc/html/libeay.html doc/html/problems.html doc/html/ssleay.html doc/html/TODO.html doc/html/vendor-bugs.html 
%doc -P doc/ref doc/ref/ssl.ps doc/ref/faq.ps doc/ref/ssl.html doc/ref/mosaic.html doc/ref/telnet.html doc/ref/httpd.html doc/ref/certs.html doc/ref/ramblings.html doc/ref/changes.html doc/ref/faq.html doc/ref/makefile doc/ref/README doc/ref/README.apps doc/ref/COPYRIGHT
%doc -P demos/b64.c demos/b64.pl demos/bio demos/bio/README demos/bio/saccept.c demos/bio/sconnect.c demos/bio/server.pem demos/maurice demos/maurice/cert.pem demos/maurice/example1.c demos/maurice/example2.c demos/maurice/example3.c demos/maurice/example4.c demos/maurice/loadkeys.c demos/maurice/loadkeys.h demos/maurice/Makefile demos/maurice/privkey.pem demos/maurice/README demos/prime demos/prime/prime.c demos/privkey.pem demos/README demos/selfsign.c demos/sign demos/sign/cert.pem demos/sign/key.pem demos/sign/sig.txt demos/sign/sign.c demos/sign/sign.txt demos/spkigen.c demos/ssl demos/ssl/cli.cpp demos/ssl/inetdsrv.cpp demos/ssl/serv.cpp 
%doc -P bugs/alpha.c bugs/dggccbug.c bugs/MS bugs/sgiccbug.c bugs/sslref.dif bugs/SSLv3 bugs/stream.c bugs/VC16.bug 
%doc -P times/486-66.dos times/486-66.nt times/486-66.w31 times/586-100.dos times/586-100.lnx times/586-100.nt times/586-100.w31 times/586p-100.lnx times/686-200.bsd times/686-200.nt times/aix.t times/aixold.t times/alpha.t times/alpha400.t times/cyrix100.lnx times/dgux-x86.t times/dgux.t times/hpux-acc.t times/hpux-kr.t times/hpux.t times/p2.w95 times/R10000.t times/R4400.t times/readme times/s586-100.lnx times/s586-100.nt times/sgi.t times/sparc.t times/sparcLX.t times/usparc.t 
%doc -P test/.rnd test/bftest.c test/bntest.c test/CAss.cnf test/certCA.srl test/destest.c test/dhtest.c test/dsa-ca.pem test/dsa-pca.pem test/dsatest.c test/exptest.c test/ideatest.c test/Makefile test/md2test.c test/md5test.c test/mdc2test.c test/methtest.c test/pkcs7-1.pem test/pkcs7.pem test/randtest.c test/rc2test.c test/rc4test.c test/sha1test.c test/shatest.c test/ssltest.c test/tcrl test/test.cnf test/test.txt test/testca test/testcrl.pem test/testenc test/testgen test/testkey.pem test/testp7.pem test/testreq.pem test/testreq2.pem test/testrsa.pem test/testsid.pem test/testss test/testssl test/testx509.pem test/tpkcs7 test/tpkcs7d test/treq test/trsa test/tsid test/tx509 test/Uss.cnf test/v3-cert1.pem test/v3-cert2.pem 
/usr/local/ssl/lib/libcrypto.a
/usr/local/ssl/lib/libssl.a
#RSAref is for inside the US
/usr/local/ssl/lib/libRSAglue.a
/usr/local/ssl/include/rsaref.h
/usr/local/ssl/include/asn1.h
/usr/local/ssl/include/asn1_mac.h
/usr/local/ssl/include/bio.h
/usr/local/ssl/include/blowfish.h
/usr/local/ssl/include/bn.h
/usr/local/ssl/include/buffer.h
/usr/local/ssl/include/conf.h
/usr/local/ssl/include/cryptall.h
/usr/local/ssl/include/crypto.h
/usr/local/ssl/include/des.h
/usr/local/ssl/include/dh.h
/usr/local/ssl/include/dsa.h
/usr/local/ssl/include/err.h
/usr/local/ssl/include/evp.h
/usr/local/ssl/include/idea.h
/usr/local/ssl/include/lhash.h
/usr/local/ssl/include/md2.h
/usr/local/ssl/include/md5.h
/usr/local/ssl/include/mdc2.h
/usr/local/ssl/include/objects.h
/usr/local/ssl/include/pem.h
/usr/local/ssl/include/pkcs7.h
/usr/local/ssl/include/rand.h
/usr/local/ssl/include/rc2.h
/usr/local/ssl/include/rc4.h
/usr/local/ssl/include/rsa.h
/usr/local/ssl/include/sha.h
/usr/local/ssl/include/ssl.h
/usr/local/ssl/include/ssl2.h
/usr/local/ssl/include/ssl23.h
/usr/local/ssl/include/ssl3.h
/usr/local/ssl/include/stack.h
/usr/local/ssl/include/txt_db.h
/usr/local/ssl/include/x509.h
/usr/local/ssl/include/x509_vfy.h

%post
source /etc/profile.d/ssl.sh
ldconfig

%postun
ldconfig
